Google Slides API Destination

Google Slides API
Create a Google Slides API Destination
-
Click the + icon on the Nexset that will be sent to the Google Slides API destination, and select the Send to Destination option from the menu.
-
Select the Google Slides API connector from the list of available destination connectors. Then, select the credential that will be used to connect to the Google Slides API, and click Next; or, create a new Google Slides API credential for use in this flow.
-
Google Slides API destinations can be manually configured to send data to any valid Google Slides API endpoint. You can also configure Nexla to automatically send the response received from the Google Slides API after each call to a new Nexla webhook data source.
First, select the API method that will be used for calls to the Google Slides API from the Method pulldown menu. The most commonly used methods for Google Slides API destinations are:
- POST: For creating new presentations (
POST https://slides.googleapis.com/v1/presentations) - POST (batchUpdate): For applying a series of updates to an existing presentation (
POST https://slides.googleapis.com/v1/presentations/{presentationId}:batchUpdate)
- POST: For creating new presentations (
Data Format
-
Select the format in which the Nexset data will be sent to the Google Slides API from the Content Format pulldown menu. Nexla will automatically convert the data to the selected format for each API call.
The Google Slides API accepts JSON payloads. Select JSON as the content format to ensure compatibility with all Google Slides API endpoints.
API Endpoint URL
-
Enter the URL of the Google Slides API endpoint to which you want to send the Nexset data in the URL field.
Common Google Slides API destination endpoints include:
- Create Presentation:
https://slides.googleapis.com/v1/presentations— Creates a new, blank presentation. The request body can include atitlefield. - Batch Update:
https://slides.googleapis.com/v1/presentations/{presentationId}:batchUpdate— Applies one or more updates to a presentation. Replace{presentationId}with the ID of the target presentation. This is the primary endpoint for modifying presentation content, adding slides, inserting text, updating shapes, and more.
- Create Presentation:
The Google Slides API's batchUpdate endpoint is the most powerful tool for modifying presentations — it accepts an array of requests objects in the request body, each specifying a particular type of update (such as insertText, createSlide, replaceAllText, or updatePageElementTransform). For a complete list of available request types, refer to the Google Slides API batchUpdate reference.
Request Headers
-
If Nexla should include any additional request headers in API calls to this destination, enter the headers & corresponding values as comma-separated pairs in the Request Headers field (e.g.,
header1:value1,header2:value2).You do not need to include any headers already present in the credentials. The Authorization header containing the OAuth 2.0 access token is handled automatically by Nexla based on your credential configuration.
Exclude Attributes from the Call
-
If any record attributes in the Nexset should be omitted when sending data to this Google Slides API destination, select the attributes from the Exclude Attributes pulldown menu.
-
Any number of attributes can be selected for exclusion, and all excluded attributes will be shown in the field. To remove an attribute from the list, click the X icon next to the attribute name.
Record Batching
-
If records should be sent to this destination in batched API calls, check the box next to Would you like to batch your records together? to enable record batching.
-
Enter the maximum number of records that should be batched together in a single API call in the Batch Size field. By default, this value is set to
100. -
Select the algorithm that will be used to group records into batches from the Grouping Algorithm pulldown menu. The sample request shown in the panel on the right will be updated to reflect the current batching settings. Some algorithms require additional settings—click on an algorithm listed below to view instructions for configuring these settings.
Response Webhook
Nexla can automatically send the response received from the Google Slides API after each call to a new Nexla webhook data source. This option allows you to keep track of the status of each API call and any additional information returned after each call, such as the updated presentation state or batch update reply details.
- To enable this option, check the box next to Would you like to process the API response as a Nexla Webhook source?.
Sample Request Payload
Sample request payloads containing a portion of the Nexset data that will be sent to the Google Slides API endpoint based on the current settings are shown in the Sample Payload panel on the right. These samples can be referenced to ensure that the destination and request settings are correctly configured.
- Click on a sample request payload to expand it and view the complete payload content.
- Sample payloads are automatically updated with each setting change, making it easy to verify that changes achieve the desired effect.
Endpoint Testing
After all endpoint settings have been configured, Nexla can send a test payload to the Google Slides API to ensure that the destination is configured correctly.
-
To send a test payload, select the Test button at the top of the Sample Payload panel, and click on a listed sample payload to expand it.
-
If any modifications to the sample payload are needed, make the necessary changes directly within the sample window.
-
Click the Send Test Data button at the top of a sample payload to send the test payload to the Google Slides API using the current settings.
Save & Activate the Destination
-
Once all endpoint settings have been configured, click the Done button in the upper right corner of the screen to save and create the destination. To begin sending data to the configured Google Slides API endpoint, open the destination resource menu, and select Activate.
The Nexset data will not be sent to the Google Slides API endpoint until the destination is activated. Destinations can be activated immediately or at a later time, providing full control over data movement.